Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600996 - [abrt] crash in evolution-2.30.1-6.fc13: camel_dlist_remove: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] crash in evolution-2.30.1-6.fc13: camel_dlist_remove: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:021cac2f3d36934abad3651f455...
:
: 622970 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 19:27 EDT by Julien Ducourthial
Modified: 2011-06-27 13:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.30 KB, text/plain)
2010-06-06 19:28 EDT, Julien Ducourthial
no flags Details
This patch fixes the crash (see comment below) (525 bytes, patch)
2010-08-11 16:09 EDT, Julien Ducourthial
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 616172 None None None Never

  None (edit)
Description Julien Ducourthial 2010-06-06 19:27:58 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
component: evolution
crash_function: camel_dlist_remove
executable: /usr/bin/evolution
global_uuid: 021cac2f3d36934abad3651f4557b99481329a98
kernel: 2.6.33.5-112.fc13.x86_64
package: evolution-2.30.1-6.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Julien Ducourthial 2010-06-06 19:28:00 EDT
Created attachment 421680 [details]
File: backtrace
Comment 2 Julien Ducourthial 2010-06-06 19:34:41 EDT
the bug seems to be related to bug 600988 :
the crash occurs after sending an email with an imapx account with "Sent" message folder on server.
Comment 3 Julien Ducourthial 2010-08-11 16:09:16 EDT
Created attachment 438287 [details]
This patch fixes the crash (see comment below)

The patch corrects the problem in imapx_find_commad_tag :
before : this function NEVER returns NULL, instead it returns the tail of the active queue if the tag is not found => 
  the error is not detected by imapx_completion which then calls camel_dllist_remove causing the crash.

after : the function returns NULL if tag is not found.
Comment 4 Julien Ducourthial 2010-08-11 16:11:49 EDT
bug  600988 seems unrelated.

I've been experiencing the crash on a near to daily basis. with the patch evolution has not yet crashed.
Comment 5 Karel Klíč 2010-11-08 14:38:55 EST
*** Bug 622970 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2011-06-02 07:47:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 13:40:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.